import { __require as o } from "./json.mjs";
var r, s;
function t() {
  if (s)
    return r;
  s = 1;
  var a = o();
  r = e, e.displayName = "jsonp", e.aliases = [];
  function e(n) {
    n.register(a), n.languages.jsonp = n.languages.extend("json", {
      punctuation: /[{}[\]();,.]/
    }), n.languages.insertBefore("jsonp", "punctuation", {
      function: /(?!\s)[_$a-zA-Z\xA0-\uFFFF](?:(?!\s)[$\w\xA0-\uFFFF])*(?=\s*\()/
    });
  }
  return r;
}
export {
  t as __require
};
